me.legofreak107.vehiclesplus.vehicles.vehicles.enums

## Enum TiltType

- java.lang.Object
- - java.lang.Enum<TiltType>
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.enums.TiltType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TiltType>

    public enum TiltType
    extends java.lang.Enum<TiltType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASCEND_DESCENT` Only tilt when ascending/descending
`FORWARD_BACKWARD` Only tilt when going forward/backward
`NONE` Never tilt
`STEERING` Only tilt when steering (Bikes)
`STEERING_AND_ASCEND_DESCENT` Only tilt when steering and ascending/descending (Planes)
`STEERING_AND_FORWARD_BACKWARD` Only tilt when steering or when moving forward/backward

### Method Summary

All Methods Static Methods Concrete Methods
`static TiltType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TiltType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STEERING

    public static final TiltType STEERING

Only tilt when steering (Bikes)

#### STEERING_AND_ASCEND_DESCENT

    public static final TiltType STEERING_AND_ASCEND_DESCENT

Only tilt when steering and ascending/descending (Planes)

#### ASCEND_DESCENT

    public static final TiltType ASCEND_DESCENT

Only tilt when ascending/descending

#### FORWARD_BACKWARD

    public static final TiltType FORWARD_BACKWARD

Only tilt when going forward/backward

#### STEERING_AND_FORWARD_BACKWARD

    public static final TiltType STEERING_AND_FORWARD_BACKWARD

Only tilt when steering or when moving forward/backward

#### NONE

    public static final TiltType NONE

Never tilt

### Method Detail

#### values

    public static TiltType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TiltType c : TiltType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TiltType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null